Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0047140
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[POS2] POSmajoralways2021-06-15 12:482021-06-21 12:06
ReporterjavierRodriguezView Statuspublic 
Assigned TojavierRodriguez 
PrioritynormalResolutionfixedFixed in Versionmain
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0047140: Rounding in POP is incorrect when there are some synchronized POPs before

DescriptionIf there is some POP synchronised for a ticket and the user tries to create more draft pops, the rounding methos I snot taking in account the other synchronised pops.
Steps To Reproduce- Pay a ticket
- load it
- create a divide equals pops
- synchronise one of them
- go out from pop flow
- go inside again
- create other divide in equal pop
- check that the last bran new pop generated has not the correct value
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 0047141TAP closedjavierRodriguez Rounding in POP is incorrect when there are some synchronized POPs before 

-  Notes
(0129517)
hgbot (developer)
2021-06-15 15:09

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/558 [^]
(0129567)
hgbot (developer)
2021-06-16 15:51

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: f9569446f809609dcc003316ce0e0ef0aadae11b
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-06-16T15:48:31+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/f9569446f809609dcc003316ce0e0ef0aadae11b [^]

Fixed ISSUE-47140: Take in account synchronised pops in rouding function

---
M web-jspack/org.openbravo.pos2/src/model/proofOfPayment/actions/AddNewProofOfPaymentDivide.js
M web-jspack/org.openbravo.pos2/src/model/proofOfPayment/utils/AddNewProofOfPayment.js
---
(0129568)
hgbot (developer)
2021-06-16 15:51

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: eea58d1d398d0547fec2e83d99029c00ed54b4f3
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-06-16T15:48:31+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/eea58d1d398d0547fec2e83d99029c00ed54b4f3 [^]

Related to ISSUE-47140: In add new proof of payment action, return only those pop which are in draft mode

---
M web-jspack/org.openbravo.pos2/src/model/proofOfPayment/utils/AddNewProofOfPayment.js
M web-jspack/org.openbravo.pos2/src/model/proofOfPayment/utils/CheckRoundingPops.js
---
(0129569)
hgbot (developer)
2021-06-16 15:51

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2 [^]
Changeset: f11f7b1c6e3364b291a8ebed68032f203c13e3db
Author: Javier Rodriguez Regueiro <javier.rodriguez@openbravo.com>
Date: 2021-06-16T15:48:31+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/commit/f11f7b1c6e3364b291a8ebed68032f203c13e3db [^]

Related to ISSUE-47140: Fix AddNewProofOfPayment and checkRouindingPop tests

---
M web-jspack/org.openbravo.pos2/src/model/proofOfPayment/__test__/AddNewProofOfPaymentUtils.test.js
M web-jspack/org.openbravo.pos2/src/model/proofOfPayment/__test__/CheckRoundingPops.test.js
---
(0129570)
hgbot (developer)
2021-06-16 15:51

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.pos2/-/merge_requests/558 [^]

- Issue History
Date Modified Username Field Change
2021-06-15 12:48 javierRodriguez New Issue
2021-06-15 12:48 javierRodriguez Assigned To => Retail
2021-06-15 12:48 javierRodriguez Triggers an Emergency Pack => No
2021-06-15 12:48 javierRodriguez Assigned To Retail => javierRodriguez
2021-06-15 12:49 javierRodriguez Status new => scheduled
2021-06-15 12:50 javierRodriguez Status scheduled => acknowledged
2021-06-15 12:50 javierRodriguez Status acknowledged => scheduled
2021-06-15 15:09 hgbot Note Added: 0129517
2021-06-16 15:51 hgbot Resolution open => fixed
2021-06-16 15:51 hgbot Status scheduled => resolved
2021-06-16 15:51 hgbot Note Added: 0129567
2021-06-16 15:51 hgbot Note Added: 0129568
2021-06-16 15:51 hgbot Note Added: 0129569
2021-06-16 15:51 hgbot Note Added: 0129570
2021-06-21 12:06 marvintm Review Assigned To => jorge-garcia
2021-06-21 12:06 marvintm Status resolved => closed
2021-06-21 12:06 marvintm Fixed in Version => main


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker